Home
Release Notes
Home
Release Notes
Linkedin
  1. Payments
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
        • Request Sender Document Upload URL
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
    • Bills
      • Services
        • Categories
        • Providers
        • Services
        • Service Configurations
        • available currencies
      • Payments
        • Inquiry
          POST
        • Fees
          POST
        • Confirm Payment
          POST
        • Bill Payment List
          GET
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Payments

Inquiry

POST
/bills/payments/inquiry
This endpoint is used to initiate an inquiry for bill payments. It requires the service ID and input parameters retrieved from the service configuration endpoint.
Request Params
SI NoParameterTypeMandatoryRemarks
1service_idStringYUnique identifier of the Service
can be retreived from the Get Services endpoint
2account_numberStringYThe account number associated with the inquiry.
e.g. mobile number
3AmountStringY (if it is required for the service requested e.g Mobile recharge, Vodafone ADSL)The amount to be charged/ paid
Response Params
ParameterRemarks
account_numberThe account number associated with the inquiry.
fees_egpThe fees associated with the inquiry (in EGP).
total_amount_egpThe total amount of the inquiry (in EGP).
amount_egpThe amount of the inquiry (in EGP).
balad_reference_numberThe reference number generated for the inquiry.
foreign_amountThe amount of the inquiry (in foreign currency).
partner_foreign_feesThe fees applied in foreign currency.
total_foreign_amountThe total amount of the inquiry (in foreign currency).
foreign_currency_codeThe currency code of the foreign currency.
display_messageA display message describing the inquiry.
is_fees_calculatedIndicates whether the fees are calculated.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
    "service_id": 1001,
    "parameters":[
        {
            "key":"account_number",
            "value":"02XXXXXXXXX"
        },
        {
            "key":"amount_egp",
            "value":"XXX"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/bills/payments/inquiry' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "service_id": 1001,
    "parameters":[
        {
            "key":"account_number",
            "value":"02XXXXXXXXX"
        },
        {
            "key":"amount_egp",
            "value":"XXX"
        }
    ]
}'

Responses

đŸŸ¢200Inquiry
application/json
Bodyapplication/json

Example
{
    "data": [
        [
            {
                "key": "balad_reference_number",
                "value": "XXXX"
            },
            {
                "key": "amount_egp",
                "value": "XXXX"
            },
            {
                "key": "account_number",
                "value": "XXXXXXXXXX"
            },
            {
                "key": "display_message",
                "value": "Home Internet 20GB"
            },
            {
                "key": "total_amount_egp",
                "value": "XX"
            },
            {
                "key": "foreign_amount",
                "value": "XX"
            },
            {
                "key": "total_foreign_amount",
                "value": "1"
            },
            {
                "key": "foreign_currency_code",
                "value": "USD"
            },
            {
                "key": "is_fees_calculated",
                "value": "false"
            },
            {
                "key": "fees_egp",
                "value": "XXX"
            }
        ]
    ],
    "errors": null
}
đŸŸ¢200We Home Internet Bills
đŸŸ¢200We Home Internet Top-Up
đŸŸ¢200WE Mobile Bill
đŸŸ¢200WE Mobile Recharge
đŸŸ¢200Orange Home Internet Bills
đŸŸ¢200Orange Mobile Bill
đŸŸ¢200Orange Mobile Recharge
đŸŸ¢200Vodafone Home Internet Bills
đŸŸ¢200Vodafone Mobile Bill
đŸŸ¢200Vodafone Mobile Recharge
đŸŸ¢200Etisalat Home Internet Bills
đŸŸ¢200Etisalat Mobile Bills
đŸŸ¢200Etisalat Mobile Recharge
đŸŸ¢200Petrotrade Gas Bills Payment
đŸŸ¢200Nat Gas Bills Payment
đŸŸ¢200Giza Water Bills Payment
đŸŸ¢200Cairo Water Bills Payment
đŸŸ¢200Alex Water Bills Payment
đŸŸ¢200Menoufia Water Bills Payment
đŸŸ¢200North Cairo Electricity Bills Payment
đŸŸ¢200South Cairo Electricity Bills Payment
đŸŸ¢200Go Bus Transportation
Previous
available currencies
Next
Fees
Built with